Bug 227683 - www/chromium, www/iridium, www/qt5-webengine: switch to llvm60
Summary: www/chromium, www/iridium, www/qt5-webengine: switch to llvm60
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords: patch, patch-ready
Depends on: 227679 227698
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-22 06:06 UTC by Jan Beich
Modified: 2018-08-16 08:15 UTC (History)
4 users (show)

See Also:


Attachments
v0 (4.76 KB, patch)
2018-04-22 06:07 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-04-22 06:06:16 UTC
FreeBSD 11.2 will use Clang 6.0, so it'd be nice if Blink does, too.
Comment 1 Jan Beich freebsd_committer 2018-04-22 06:07:03 UTC
Created attachment 192717 [details]
v0
Comment 2 Carlos J. Puga Medina freebsd_committer 2018-04-23 22:23:07 UTC
I hope to do some tests during the weekend.

Thanks Jan :)
Comment 3 Carlos J. Puga Medina freebsd_committer 2018-04-30 15:24:28 UTC
(In reply to Carlos J. Puga Medina from comment #2)

chromium/iridium builds fine with LLVM60.
Comment 4 commit-hook freebsd_committer 2018-04-30 15:41:36 UTC
A commit references this bug:

Author: cpm
Date: Mon Apr 30 15:41:25 UTC 2018
New revision: 468706
URL: https://svnweb.freebsd.org/changeset/ports/468706

Log:
  www/iridium: switch to llvm60

  PR:		227683
  Submitted by:	jbeich

Changes:
  head/www/iridium/Makefile
  head/www/iridium/files/patch-build_toolchain_gcc__toolchain.gni
Comment 5 commit-hook freebsd_committer 2018-04-30 15:42:39 UTC
A commit references this bug:

Author: cpm
Date: Mon Apr 30 15:42:17 UTC 2018
New revision: 468707
URL: https://svnweb.freebsd.org/changeset/ports/468707

Log:
  www/chromium: switch to llvm60

  PR:		227683
  Submitted by:	jbeich

Changes:
  head/www/chromium/Makefile
  head/www/chromium/files/patch-build_toolchain_gcc__toolchain.gni
Comment 6 Adriaan de Groot freebsd_committer 2018-06-04 13:26:38 UTC
I'm not sure I understand the rationale from "11.2 will use Clang 6" to the patch applied to qt5-webengine, which updates the compiler used on 10.x (but not on < 11.2)
Comment 7 Adriaan de Groot freebsd_committer 2018-06-04 13:34:10 UTC
Adjusting the version ranges a little yields https://reviews.freebsd.org/D15662
Comment 8 commit-hook freebsd_committer 2018-06-04 15:21:22 UTC
A commit references this bug:

Author: adridg
Date: Mon Jun  4 15:20:30 UTC 2018
New revision: 471556
URL: https://svnweb.freebsd.org/changeset/ports/471556

Log:
  Make www/qt5-webengine use Clang 6

  Build WebEngine with Clang 6, following the example of Chromium and Iridium.

  PR:		227683
  Submitted by:	jbeich
  Reviewed by:	tcberner
  Differential Revision:	https://reviews.freebsd.org/D15662

Changes:
  head/www/qt5-webengine/Makefile
Comment 9 Carlos J. Puga Medina freebsd_committer 2018-06-19 10:05:36 UTC
(In reply to Adriaan de Groot from comment #6)

I have a pending patch to build chromium with native LLVM 6.0, this will also apply to iridium port.

https://github.com/cpu82/freebsd-chromium/commit/a3449c03521cfc5378fbb4f4c4dfb01c0253d556
https://github.com/cpu82/freebsd-chromium/commit/056b071cf334ecdb08a24cb6fa31bd4319cffa41
Comment 10 Carlos J. Puga Medina freebsd_committer 2018-08-16 08:15:01 UTC
Fixed in r472854 and r472855.